> For the complete documentation index, see [llms.txt](https://knowledgebase.fabricdata.com/studio/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledgebase.fabricdata.com/studio/integrations-and-apis/api-overview/endpoints.md).

# Endpoints

### Records

The `records` endpoint allows you to create, retrieve, update, and delete title records within Origin Studio.

All record operations follow the JSON:API 1.1 specification.

Base path:

```
/v1/records
```

***

## Get Record

Retrieve a specific record by ID.

#### Request

```
GET /v1/records/{id}
```

#### Example

```
curl --location 'https://api.stg.studio.fabricdata.com/v1/records/a50599fc8163fa8b' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY'
```

#### Response

Returns a single record resource under `data`.

***

## Create Record

Create a new record.

#### Request

```
POST /v1/records
```

#### Headers

```
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Accept: application/json
```

#### Body

```
{
  "data": {
    "type": "records",
    "attributes": {
      "primaryTitle": "New Movie",
      "workType": "Movie",
      "releaseYear": 2026
    }
  }
}
```

#### Response

Returns:

* `201 Created`
* Newly created record in JSON:API format

***

## Update Record

Update an existing record.

#### Request

```
PATCH /v1/records/{id}
```

(Use `PATCH` for partial updates in JSON:API)

#### Response

Returns:

* `200 OK`
* Updated record resource

***

## Search Record

Find existing record(s).

#### Request

```
POST /v1/records/search
```

#### Response

Returns:

* `200 OK`
* All records found under the specific search results.
